"""
Visualizing predictive model insights for enhanced business decision-making.

The :py:mod:`~scikitplot.modelplotpy` module to build nice plots
to explain your modelling efforts easily to business colleages.

Documentation is available in the docstrings and
online at https://modelplot.github.io/.

.. seealso::

   * https://www.kdnuggets.com/2018/10/evaluating-business-value-predictive-models-modelplotpy.html
"""

# scikitplot/modelplotpy/__init__.py

# Your package/module initialization code goes here
from ._modelplotpy import *

# Define the modelplotpy version
# https://github.com/modelplot/modelplotpy/blob/master/setup.py
__version__ = "1.0.0"
__author__ = "Pieter Marcus"
__author_email__ = "pb.marcus@hotmail.com"

# Define the modelplotpy git hash
# scikitplot._build_utils.gitversion.git_remote_version(url='https://github.com/modelplot/modelplotpy')[0]
__git_hash__ = "83ca84e67c357ee3bd98e296b94219c1a0863f68"
